## ros-indigo-denso 1.1.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(denso)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-denso (1.1.8-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Mar 2017 15:00:00 -0000

ros-indigo-denso (1.1.7-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 22 Aug 2016 15:00:00 -0000

ros-indigo-denso (1.1.6-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Jun 2016 15:00:00 -0000

ros-indigo-denso (1.1.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 04 Apr 2016 15:00:00 -0000

ros-indigo-denso (1.1.4-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 07 Feb 2016 15:00:00 -0000

ros-indigo-denso (1.1.3-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 03 Feb 2016 15:00:00 -0000

ros-indigo-denso (1.1.2-0trusty) trusty; urgency=high

  * Add gazebo pkg to the metapkg suite
  * Contributors: Isaac I.Y. Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 20 Dec 2015 15:00:00 -0000

ros-indigo-denso (1.1.1-0trusty) trusty; urgency=high

  * [fix] Always run in a dryrun mode (fix #62 <https://github.com/start-jsk/denso/issues/62>)
  * Contributors: Shohei Fujii

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 02 Nov 2015 15:00:00 -0000

ros-indigo-denso (1.1.0-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 30 Oct 2015 15:00:00 -0000

ros-indigo-denso (1.0.0-0trusty) trusty; urgency=high

  * update to indigo

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 29 Oct 2015 15:00:00 -0000

ros-indigo-denso (0.2.9-0trusty) trusty; urgency=high

  * Add missing .setup_assistant file, without which moveit_setup_assistant can't open an existing moveit config pkg.
  * Check-off query start state from RViz conf.
  * Contributors: Isaac IY Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 06 Mar 2015 15:00:00 -0000

ros-indigo-denso (0.2.8-0trusty) trusty; urgency=high

  * Add xtion checkerboard demo launch file.
  * vs060_moveit_config/launch/moveit.rviz: add robot model to rviz
  * Corrected build_dependency (add robot_mechanism_controllers, robot_state_publisher)
  * Correct robot name (vs06 -> vs060)
  * Rename repository (Fix https://github.com/start-jsk/denso/issues/13, https://github.com/start-jsk/denso/issues/14)
  * Add moveit_commander test
  * Add rostest for /denso_vs060_moveit_demo_simulation.launch
  * Corrected copyright (only for some packages)
  * Comfort to ROS Cpp style guide. Start adding comments (sorry two different types of commits mixed up here...editor did it and I can't revert it)
  * Contributors: Kei Okada, Isaac IY Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 29 Jul 2014 15:00:00 -0000

ros-indigo-denso (0.2.7-0trusty) trusty; urgency=high

  * Rename repository (Fix https://github.com/start-jsk/denso/issues/13, https://github.com/start-jsk/denso/issues/14)
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Jan 2014 15:00:00 -0000

ros-indigo-denso (0.2.6-0trusty) trusty; urgency=high

  * Remove manifest.xml since the entire package depends on wet packages open_industrial_ros_controllers.
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2013 15:00:00 -0000

ros-indigo-denso (0.2.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 10 Dec 2013 15:00:00 -0000

ros-indigo-denso (0.2.4-0trusty) trusty; urgency=high

  * add a demo script that runs w/o pendant.
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 09 Dec 2013 15:00:00 -0000

ros-indigo-denso (0.2.3-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 06 Dec 2013 15:00:00 -0000

ros-indigo-denso (0.2.2-0trusty) trusty; urgency=high

  * Improvement to .rviz files
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 05 Dec 2013 15:00:00 -0000

ros-indigo-denso (0.2.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 05 Dec 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-denso
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://wiki.ros.org/denso
Standards-Version: 3.9.2

Package: ros-indigo-denso
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-denso-controller, ros-indigo-denso-launch, ros-indigo-vs060, ros-indigo-vs060-gazebo, ros-indigo-vs060-moveit-config
Description: Packages in the denso suite provide controller functionality for Denso's industrial manipulators.
 ORiN (Open Robot interface for the Network) is a unified network interface for industrial robot applications and has been stably utilized in Denso's manipulators for years. Controllers in this package suite uses b-CAP, UDP-based control protocol defined in ORiN. It also has mechanism to detect faulty commands. Using b-CAP, ROS communicates to the embedded controller computer that has been achieving industry-proven reliability. The computer also has mechanism to detect faulty commands. That said as a whole the system maintains the same level of safeness with their commercial product setting. Also, as a genuine ROS package, it enables robot application developers to access full ROS features. MoveIt! configuration package is also included for some of Denso's robots. Core functionality

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-denso//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
